# Uses of Class
javax.swing.JSplitPane

Packages that use JSplitPane
Package
Description
javax.swing.plaf
Provides one interface and many abstract classes that Swing uses to provide its pluggable look-and-feel capabilities.
javax.swing.plaf.basic
Provides user interface objects built according to the Basic look and feel.
javax.swing.plaf.multi
Provides user interface objects that combine two or more look and feels.

## Uses of JSplitPane in javax.swing.plaf

Methods in javax.swing.plaf with parameters of type JSplitPane
Modifier and Type
Method
Description
`abstract void`
SplitPaneUI.`finishedPaintingChildren(JSplitPane jc, Graphics g)`
Messaged after the JSplitPane the receiver is providing the look and feel for paints its children.
`abstract int`
SplitPaneUI.`getDividerLocation(JSplitPane jc)`
Returns the location of the divider.
`abstract int`
SplitPaneUI.`getMaximumDividerLocation(JSplitPane jc)`
Returns the maximum possible location of the divider.
`abstract int`
SplitPaneUI.`getMinimumDividerLocation(JSplitPane jc)`
Returns the minimum possible location of the divider.
`abstract void`
SplitPaneUI.`resetToPreferredSizes(JSplitPane jc)`
Messaged to relayout the JSplitPane based on the preferred size of the children components.
`abstract void`
SplitPaneUI.`setDividerLocation(JSplitPane jc, int location)`
Sets the location of the divider to location.

## Uses of JSplitPane in javax.swing.plaf.basic

Fields in javax.swing.plaf.basic declared as JSplitPane
Modifier and Type
Field
Description
`protected JSplitPane`
BasicSplitPaneDivider.`splitPane`
JSplitPane the receiver is contained in.
`protected JSplitPane`
BasicSplitPaneUI.`splitPane`
JSplitPane instance this instance is providing the look and feel for.
Methods in javax.swing.plaf.basic that return JSplitPane
Modifier and Type
Method
Description
`JSplitPane`
BasicSplitPaneUI.`getSplitPane()`
Returns the `JSplitPane` this instance is currently contained in.
Methods in javax.swing.plaf.basic with parameters of type JSplitPane
Modifier and Type
Method
Description
`void`
BasicSplitPaneUI.`finishedPaintingChildren(JSplitPane sp, Graphics g)`
Called when the specified split pane has finished painting its children.
`int`
BasicSplitPaneUI.`getDividerLocation(JSplitPane jc)`
Returns the location of the divider, which may differ from what the splitpane thinks the location of the divider is.
`int`
BasicSplitPaneUI.`getMaximumDividerLocation(JSplitPane jc)`
Gets the maximum location of the divider.
`int`
BasicSplitPaneUI.`getMinimumDividerLocation(JSplitPane jc)`
Gets the minimum location of the divider.
`void`
BasicSplitPaneUI.`resetToPreferredSizes(JSplitPane jc)`
Messaged to reset the preferred sizes.
`void`
BasicSplitPaneUI.`setDividerLocation(JSplitPane jc, int location)`
Sets the location of the divider to location.

## Uses of JSplitPane in javax.swing.plaf.multi

Methods in javax.swing.plaf.multi with parameters of type JSplitPane
Modifier and Type
Method
Description
`void`
MultiSplitPaneUI.`finishedPaintingChildren(JSplitPane a, Graphics b)`
Invokes the `finishedPaintingChildren` method on each UI handled by this object.
`int`
MultiSplitPaneUI.`getDividerLocation(JSplitPane a)`
Invokes the `getDividerLocation` method on each UI handled by this object.
`int`
MultiSplitPaneUI.`getMaximumDividerLocation(JSplitPane a)`
Invokes the `getMaximumDividerLocation` method on each UI handled by this object.
`int`
MultiSplitPaneUI.`getMinimumDividerLocation(JSplitPane a)`
Invokes the `getMinimumDividerLocation` method on each UI handled by this object.
`void`
MultiSplitPaneUI.`resetToPreferredSizes(JSplitPane a)`
Invokes the `resetToPreferredSizes` method on each UI handled by this object.
`void`
MultiSplitPaneUI.`setDividerLocation(JSplitPane a, int b)`
Invokes the `setDividerLocation` method on each UI handled by this object.